Info: questo non è il log delle modifiche per il ultima versione stabile 4.13.1
vedi tutti i log delle modifiche

Pro v1.7 con leaflet.js v0.7.3 e correzioni di compatibilità sono disponibili

Questa versione aggiorna il leaflet.js libreria a cui mi riferisco come "il motore del plug-in", grazie a tutti i collaboratori, in particolare a chi è in lutto da mapbox.com, che sta guidando lo sviluppo.

Inoltre ho anche creato soluzioni alternative per installazioni su server con librerie SSL obsolete. Alcuni utenti di tali server hanno segnalato problemi durante il tentativo di attivazione della chiave di licenza, ad esempio, quindi è stata aggiunta una soluzione alternativa per tali server con pro v1.7.

Se non vedi che l'aggiornamento corrente è disponibile, potresti essere interessato da questo problema e quindi devi aggiornare manualmente il plugin una volta a pro v1.7. Per ulteriori dettagli, consultare la sezione "Come scaricare / aggiornare" di seguito. Se sei interessato e non sei sicuro di cosa fare, per favore aprire un ticket di supporto!


Fammi sapere cosa ne pensi di questa nuova versione di inviare una recensione!

Se vuoi rimanere aggiornato con l'ultimo sviluppo di Maps Marker, segui @MapsMarker su twitter (= aggiornamenti più recenti), su Facebook, Google+ o iscriviti alle notizie via RSS o tramite RSS / email.

Vorrei anche invitarti a unirti al nostro programma di affiliazione che offre commissioni fino al 50%. Se sei interessato a diventare un rivenditore, ti preghiamo di visitare https://www.mapsmarker.com/reseller


Ora andiamo al momento clou di pro v1.7:

eseguire l'aggiornamento a leaflet.js v0.7.3

Leaflet.js, è stata rilasciata la libreria javascript principale di questo plugin. Questa versione è etichettata come una versione di manutenzione con 8 correzioni di bug, changelog completo.

Altre ottimizzazioni e modifiche

  • aggiorna il codebase del cluster marker (usando la build 28/05/14 invece del 14/03/14)
  • mostra messaggi di errore più dettagliati relativi a chiamate API della licenza di mapsmarker.com

Correzioni di bug

  • modifica immagine + rimuovi i pulsanti di sovrapposizione nell'editor TinyMCE per i popup nella pagina di modifica dei marker mancavano da WordPress 3.9 (grazie Bruno)
  • i riquadri per Google Maps sono scomparsi durante lo zoom quando si pizzica lo zoom sui telefoni cellulari
  • l'API di licenza non funzionante chiama i server con librerie SSL obsolete

Aggiornamenti delle traduzioni

Grazie a molti collaboratori motivati, questa versione include le seguenti traduzioni aggiornate:

Se vuoi contribuire alle traduzioni (i nuovi traduttori hindi sarebbero apprezzati!), Visita https://translate.mapsmarker.com/projects/lmm per maggiori informazioni.

Si noti che anche i traduttori ricevono un compenso per il loro contributo, ad esempio se una traduzione termina meno del 50%, il traduttore riceve un pacchetto gratuito di 25 licenze del valore di € 149 come compensazione per il completamento della traduzione al 100%.

Outlook: i miei piani per la prossima versione

Ti preghiamo di comprendere che non sono in grado di promettere date di uscita per nuove funzionalità. La tabella di marcia per le principali nuove funzionalità (supporto per Google Street View e supporto per il filtraggio dei livelli sul frontend) è ancora valida, vorrei solo mantenere la flessibilità per aggiungere ottimizzazioni e correzioni di bug con versioni secondarie piuttosto non pianificate derivanti principalmente dal feedback degli utenti.

Per favore anche vedere la tabella di marcia per un programma approssimativo per le funzionalità pianificate e per favore iscriviti a questo blog (via RSS or E-mail) o segui @MapsMarker su Twitter (= aggiornamenti più recenti) se vuoi rimanere aggiornato con le ultime notizie di sviluppo.

Log completo

eseguire l'aggiornamento a leaflet.js v0.7.3 (versione di manutenzione con 8 correzioni di bug, changelog)
aggiorna il codebase del cluster marker (usando la build 28/05/14 invece del 14/03/14)
mostra messaggi di errore più dettagliati relativi a chiamate API della licenza di mapsmarker.com
modifica immagine + rimuovi i pulsanti di sovrapposizione nell'editor TinyMCE per i popup nella pagina di modifica dei marker mancavano da WordPress 3.9 (grazie Bruno)
i riquadri per Google Maps sono scomparsi durante lo zoom quando si pizzica lo zoom sui telefoni cellulari
l'API di licenza non funzionante chiama i server con librerie SSL obsolete
Traduzione aggiornamenti Nel caso in cui si desideri aiutare con le traduzioni, visitare il piattaforma di traduzione basata sul web
traduzione tedesca aggiornata
traduzione italiana aggiornata grazie a Luca Barbetti, http://twitter.com/okibone
traduzione rumena aggiornata grazie ad Arian, http://administrare-cantine.roDaniel Codrea, http://www.inadcod.com e Flo Bejgu, http://www.inboxtranslation.com

mostra i log delle modifiche precedenti

Come scaricare / aggiornare

Il modo più semplice per aggiornare è utilizzare il processo di aggiornamento di WordPress: accedi con un utente con privilegi di amministratore, vai a Dashboard / Aggiornamenti, seleziona plugin per aggiornare e premi il pulsante "Aggiorna plugin". Il plugin pro verifica ogni 12 ore se è disponibile una nuova versione. Puoi anche attivare manualmente il controllo degli aggiornamenti andando su Plugin e facendo clic sul link "Controlla manualmente gli aggiornamenti" accanto a "Maps Marker Pro":

manuale-update-check

Se non vedi il link "Verifica aggiornamenti" e stai utilizzando una versione precedente alla 1.7, aggiorna manualmente una volta scaricando il pacchetto corrente da https://www.mapsmarker.com/download-pro e sovrascrivendo i file dei plugin esistenti sul tuo server via FTP. Ciò potrebbe essere necessario su diversi host, che utilizzano librerie SSL obsolete, che impediscono a Maps Marker Pro di stabilire una connessione sicura per recuperare il pacchetto di aggiornamento da mapsmarker.com. Pro v1.7 include una soluzione alternativa per quel tipo di server e i seguenti aggiornamenti dovrebbero funzionare di nuovo come al solito. Se sei interessato e hai bisogno di aiuto, per favore aprire un ticket di supporto.

Note di aggiornamento aggiuntive per beta tester

Non è richiesta alcuna azione aggiuntiva sull'aggiornamento del plug-in.

È disponibile una risposta a "Pro v1.7 con leaflet.js v0.7.3 e correzioni di compatibilità"

Lascia un tuo commento

XHTML: Puoi usare questi tag: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X